org.eclipse.emf.cdo.server

## Class CDOServerBrowser.ContainerBased.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.ContainerBased.Factory

- All Implemented Interfaces:
    IFactory
  Enclosing class:
    CDOServerBrowser.ContainerBased

      public static class CDOServerBrowser.ContainerBased.Factory
      extends Factory

  Creates `server browsers` for the repositories in a `managed container`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT_GROUP`
    `static String` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`
    `Factory(IContainer<?> container)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOServerBrowser.ContainerBased` | `create(String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final String PRODUCT_GROUP

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory()

    - #### Factory

          public Factory(IContainer<?> container)

  - ### Method Detail

    - #### create

          public CDOServerBrowser.ContainerBased create(String description)
                                                 throws ProductCreationException

      Throws:
        `ProductCreationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html